.contentwrap {
  position: relative;
  pointer-events: visible;
  font-family: 'Kanit-Light', tahoma;
  color: #fff; }
  .contentwrap--edit {
    border: 1px solid #84611e;
    background: #000;
    width: 90%;
    max-width: 670px;
    text-align: center;
    padding: 2% 0; }
    @media (max-width: 640px) {
      .contentwrap--edit {
        width: 100%;
        border-left: none;
        border-right: none; } }
  .contentwrap--message {
    border: 1px solid #84611e;
    background: #000;
    width: 90%;
    max-width: 420px;
    text-align: center;
    padding: 2% 2%;
    height: 25%;
    box-sizing: border-box; }
  .contentwrap--reward {
    border: 1px solid #84611e;
    background: #000;
    width: 90%;
    max-width: 670px;
    text-align: center;
    padding: 2% 0;
    height: 30%; }

.inner--board {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 100%; }

.inner--boardmaxwidth {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 90%; }

.inner--edit {
  width: 55%;
  margin: 0 auto; }
  @media (max-width: 640px) {
    .inner--edit {
      width: 60%; } }
  @media (max-width: 450px) {
    .inner--edit {
      width: 80%; } }

.inner--message {
  height: 100%;
  overflow-x: hidden;
  overflow-y: auto;
  display: flex;
  justify-content: center;
  align-items: center; }

.inner--reward {
  height: 100%;
  overflow-x: hidden;
  overflow-y: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap; }

.text {
  font-family: 'Kanit-Light', tahoma; }
  .text--message {
    margin: 2% 0;
    font-size: 1.2em;
    color: #b0a096;
    word-break: break-all; }
    @media (max-width: 640px) {
      .text--message {
        font-size: 3vw; } }
  .text--receive {
    margin: 2% 0 0;
    font-size: 1.2em;
    width: 100%;
    display: block;
    color: #b0a096;
    word-break: break-all; }
    @media (max-width: 640px) {
      .text--receive {
        font-size: 3vw; } }

.input {
  text-align: center;
  border-radius: 2px;
  border: 1px solid #000;
  width: 100%;
  font-size: 1.1em;
  margin: 2% 0;
  font-family: 'Kanit-Light', tahoma; }

.select {
  margin-top: 2%; }
  .select > div {
    margin: 0 1%;
    display: inline-block;
    vertical-align: middle; }
    .select > div > select {
      margin: 0 1%;
      font-size: 1.1em;
      border-radius: 2px;
      border: 1px solid #000;
      font-family: 'Kanit-Light', tahoma; }
    .select > div:last-child {
      width: 65%; }

.btn-group {
  position: absolute;
  width: 100%;
  left: 50%;
  bottom: -15%;
  transform: translate(-50%, 0); }
  .btn-group--big {
    bottom: -20%; }
    @media (max-width: 450px) {
      .btn-group--big {
        bottom: -30%; } }
  .btn-group--middle {
    bottom: -20%; }
    @media (max-width: 450px) {
      .btn-group--middle {
        bottom: -20%; } }

.ok {
  background: url("../../static/images/elite/btn_ok.png") no-repeat top center;
  background-size: 100% 200%;
  width: 15%;
  padding-bottom: calc(15%*(32/93));
  cursor: pointer;
  display: inline-block;
  vertical-align: middle;
  margin: 0 3%; }
  .ok:hover {
    background-position: bottom center; }
  .ok--big {
    width: 25%;
    padding-bottom: calc(25%*(32/93)); }
  @media (max-width: 450px) {
    .ok {
      width: 20%;
      padding-bottom: calc(20%*(32/93)); }
      .ok--big {
        width: 30%;
        padding-bottom: calc(30%*(32/93)); } }

.notok {
  background: url("../../static/images/elite/btn_notok.png") no-repeat top center;
  background-size: 100% 200%;
  width: 15%;
  padding-bottom: calc(15%*(32/93));
  cursor: pointer;
  display: inline-block;
  vertical-align: middle;
  margin: 0 3%; }
  .notok:hover {
    background-position: bottom center; }
  .notok--big {
    width: 25%;
    padding-bottom: calc(25%*(32/93)); }
  @media (max-width: 450px) {
    .notok {
      width: 20%;
      padding-bottom: calc(20%*(32/93)); }
      .notok--big {
        width: 30%;
        padding-bottom: calc(30%*(32/93)); } }

.agree {
  background: url("../../static/images/elite/btn_agree.png") no-repeat top center;
  background-size: 100% 200%;
  width: 15%;
  padding-bottom: calc(15%*(39/117));
  cursor: pointer;
  display: inline-block;
  vertical-align: middle;
  margin: 0 3%; }
  .agree:hover {
    background-position: bottom center; }
  .agree--big {
    width: 25%;
    padding-bottom: calc(25%*(39/117)); }
  .agree--middle {
    width: 20%;
    padding-bottom: calc(20%*(39/117)); }
  @media (max-width: 450px) {
    .agree {
      width: 20%;
      padding-bottom: calc(20%*(39/117)); }
      .agree--big {
        width: 30%;
        padding-bottom: calc(30%*(39/117)); }
      .agree--middle {
        width: 25%;
        padding-bottom: calc(25%*(39/117)); } }

.receive {
  background: url("../../static/images/elite/btn_receive.png") no-repeat top center;
  background-size: 100% 200%;
  width: 15%;
  padding-bottom: calc(15%*(39/117));
  cursor: pointer;
  display: inline-block;
  vertical-align: middle;
  margin: 0 3%; }
  .receive:hover {
    background-position: bottom center; }
  .receive--big {
    width: 25%;
    padding-bottom: calc(25%*(39/117)); }
  .receive--middle {
    width: 20%;
    padding-bottom: calc(20%*(39/117)); }
  @media (max-width: 450px) {
    .receive {
      width: 20%;
      padding-bottom: calc(20%*(39/117)); }
      .receive--big {
        width: 30%;
        padding-bottom: calc(30%*(39/117)); }
      .receive--middle {
        width: 25%;
        padding-bottom: calc(25%*(39/117)); } }

.sent {
  background: url("../../static/images/elite/btn_sent.png") no-repeat top center;
  background-size: 100% 200%;
  width: 15%;
  padding-bottom: calc(15%*(39/117));
  cursor: pointer;
  display: inline-block;
  vertical-align: middle;
  margin: 0 3%; }
  .sent:hover {
    background-position: bottom center; }
  .sent--big {
    width: 25%;
    padding-bottom: calc(25%*(39/117)); }
  .sent--middle {
    width: 20%;
    padding-bottom: calc(20%*(39/117)); }
  @media (max-width: 450px) {
    .sent {
      width: 20%;
      padding-bottom: calc(20%*(39/117)); }
      .sent--big {
        width: 30%;
        padding-bottom: calc(30%*(39/117)); }
      .sent--middle {
        width: 25%;
        padding-bottom: calc(25%*(39/117)); } }

.label-top {
  position: absolute;
  width: 40%;
  left: 50%;
  transform: translate(-50%, 0); }
  .label-top--message {
    top: -23px; }
    @media (max-width: 420px) {
      .label-top--message {
        top: -5vw; } }
  .label-top--reward {
    width: 30%;
    top: -28px; }
    @media (max-width: 420px) {
      .label-top--reward {
        top: -4vw; } }
